Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452348 - ghostscript segfault at gx_path_is_void src/gxpath2.c:154
Summary: ghostscript segfault at gx_path_is_void src/gxpath2.c:154
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 07:27 UTC by Tim Taiwanese Liim
Modified: 2008-07-01 05:30 UTC (History)
0 users

Fixed In Version: 8.62-4.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 05:30:48 UTC


Attachments (Terms of Use)
080613.gxpath2.c:gx_path_is_void.core.dump.ps (deleted)
2008-06-21 07:27 UTC, Tim Taiwanese Liim
no flags Details

Description Tim Taiwanese Liim 2008-06-21 07:27:09 UTC
Description of problem:
    When running gs with attached .ps file, observed gs segfault at
    gx_path_is_void src/gxpath2.c:154.  When gs is run as part of cups,
    /var/log/messages also shows
        gs[2715]: segfault at 4 ip 03208936 sp bfada7a0 error 4 
        in libgs.so.8.62[2e94000+442000]


Version-Release number of selected component (if applicable):
    ghostscript-8.62-3.fc9.i386

How reproducible:
    always with attached .ps file.
    no segfault with other .ps files.

Steps to Reproduce:
    1. in X windows, run
        gs 080613.gxpath2.c:gx_path_is_void.core.dump.ps
  
Actual results:
    - a gs window shows up briefly, then disappears with
            Segmentation fault

Expected results:
    - gs should render the ps page properly.

Additional info:
  - gdb  indicates problem at gx_path_is_void() src/gxpath2.c:154
        gdb /usr/bin/gs
        run 080613.gxpath2.c:gx_path_is_void.core.dump.ps
        Program received signal SIGSEGV, Segmentation fault.
        (gdb) bt
        #0  0x053b30c6 in gx_path_is_void (ppath=<value optimized out>) at
src/gxpath2.c:154
        #1  0x051b22f3 in bbox_fill_path (dev=<value optimized out>, pis=<value
optimized out>,
            ppath=<value optimized out>, params=<value optimized out>,
pdevc=<value optimized out>,
            pcpath=<value optimized out>) at src/gdevbbox.c:758

Comment 1 Tim Taiwanese Liim 2008-06-21 07:27:09 UTC
Created attachment 309964 [details]
080613.gxpath2.c:gx_path_is_void.core.dump.ps

Comment 2 Tim Waugh 2008-06-23 11:58:54 UTC
Fixed in CVS.

Comment 3 Fedora Update System 2008-06-23 19:14:47 UTC
ghostscript-8.62-4.fc9 has been submitted as an update for Fedora 9

Comment 4 Tim Taiwanese Liim 2008-06-24 15:01:53 UTC
Thanks for fast response.  Will test and close bug when I
get ghostscript-8.62-4.fc9.  I couldn't find a place to 
download it yet.


Comment 5 Fedora Update System 2008-06-25 02:55:18 UTC
ghostscript-8.62-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5699

Comment 6 Tim Taiwanese Liim 2008-06-26 18:41:03 UTC
Yes, it works well now.  Appreciate your work.


Comment 7 Fedora Update System 2008-07-01 05:30:44 UTC
ghostscript-8.62-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.